Subject: Re: /usr merge

From: Ariadne Conill <[email-masked]>
Date: Tue, 26 May 2020 06:59:42 -0600

Hello,

On Monday, May 25, 2020 7:53:50 AM MDT Lucas Ramage wrote:
> On May 25, 2020 1:01:20 PM UTC, Ariadne Conill <[email-masked]> 
wrote:
> >Hello,
> >
> >On Monday, May 25, 2020 6:46:00 AM MDT Lucas Ramage wrote:
> >> I agree with this. Complying with the standard(s) should help ease
> >> maintenance since our packages will be more compatible across the
> >
> >board.
> >
> >> There is no need to reinvent the wheel here.
> >
> >Compatible with what?
> >
> >Using glibc makes our packages "more compatible across the board" too.
> >Should
> >we use glibc?
> >
> >Ariadne
> 
> That is completely different. In terms of correctness, glibc is less
> conformant that musl.

In terms of correctness to POSIX, sure.  In terms of correctness to LSB (the 
standard that actually matters when you think "Linux"), not really.

> > musl is lightweight, fast, simple, free, and strives to be correct in the
> > sense of standards-conformance and safety. [1]
> If you have a more correct standard to follow other than the FHS, please
> share. Otherwise, sticking to the established standard is the more correct
> choice.

Alpine is not a distribution known for strict adherence to standards.  We 
require the flexibility to deviate from standards when there are tangible 
benefits.  The question is whether removing /usr is "worth it."

For now, we decided to punt this to a future release anyway.

Ariadne